Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 233015 - Create Launcher fails to handle large file name
Summary: Create Launcher fails to handle large file name
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-panel
Version: rawhide
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact:
URL: http://homepage.ntlworld.com/ray.hamm...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-19 21:20 UTC by ray hammond
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-04 16:26:36 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 426281 None None None Never

Description ray hammond 2007-03-19 21:20:16 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 7.0; Windows NT 5.1; .NET CLR 1.1.4322)

Description of problem:
When creating a new launcher you can confuse the routine by inputting a name larger than 512 characters.  If you enter a large name and press OK, the utility reports that the filename is too long.  If you then select all the text within the name input field, remove it and type in a new smaller name, then press OK.  The same message about the file name being too long is displayed, with the old name.

Version-Release number of selected component (if applicable):
gnome-desktop-item-edit 2.17.91

How reproducible:
Always


Steps to Reproduce:
1. On the desktop within Gnome click the right mouse button.
2. From the menu select create launcher.
3. Enter a name, longer than 512 characters; I inputted 1234567890 several times.
4. Enter a command, I inputted /bin/rm.
5. Press OK.
6. On the message box press OK.
7. Use the mouse and invoke the select all option for the name field.
8. Over type a new smaller name.
9. Press OK.  The same message appears.


Actual Results:
A message box appears, stating filename too long.

Expected Results:
The utility should use the second, shorter name.

Additional info:

Comment 1 Will Woods 2007-03-30 19:06:34 UTC
Confirmed in gnome-panel-2.18.0-1.fc7.

Comment 2 Ray Strode [halfline] 2007-04-04 16:26:36 UTC
should be fixed in tomorrow's rawhide.


Note You need to log in before you can comment on or make changes to this bug.